<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Root.html">Root</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::Root Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1Root.html">Ogre::Root</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a3840c316ccddef1ccadf51325ad72ee2">_allocateNextMovableObjectTypeFlag</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a01d3244dcf290c2db36aea6b0c63616a">_fireFrameEnded</a>(FrameEvent &amp;evt)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a57ec49d0fd19402ea8a4336f53ab62b4">_fireFrameEnded</a>()</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a23fd83ef996349d5151cd93ca4908d36">_fireFrameRenderingQueued</a>(FrameEvent &amp;evt)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a15166e7cc1e879b71948665737e79ce6">_fireFrameRenderingQueued</a>()</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a194d3177b24dae7d73255268773a54b3">_fireFrameStarted</a>(FrameEvent &amp;evt)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#af747fc0427276e6c6936dd6a5ca01e87">_fireFrameStarted</a>()</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a55ee6b25390b1fe7406fd7ef327472a1">_getCurrentSceneManager</a>(void) const </td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a16b5488539651d697d0a4dd5cdbdd4c3">_popCurrentSceneManager</a>(SceneManager *sm)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a14ab7036973eb56ee4e1ad10304d9b12">_pushCurrentSceneManager</a>(SceneManager *sm)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a24559fa6a4f1772c7518fcb0911278f4">_updateAllRenderTargets</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#aba26bc9123d8725d971e458e48c2694f">_updateAllRenderTargets</a>(FrameEvent &amp;evt)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#aed3244a81b1c1cec76c675f8e62d7f5e">addFrameListener</a>(FrameListener *newListener)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a261189545f730e6243418d93cebfb75b">addMovableObjectFactory</a>(MovableObjectFactory *fact, bool overrideExisting=false)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#ae3d8c9161ddf19b4130813d9b5d51905">addRenderSystem</a>(RenderSystem *newRend)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a1f736040c539391cf730eb3f7da05d1d">addResourceLocation</a>(const String &amp;name, const String &amp;locType, const String &amp;groupName=ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME, bool recursive=false)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a541c72ca9f592e7a754e751e2b55e934">addSceneManagerFactory</a>(SceneManagerFactory *fact)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a589c6e44ae36cec130d0dcb8ca551f08">calculateEventTime</a>(unsigned long now, FrameEventTimeType type)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a2afff4a877a26bff8b47d32f9dcc15a8">clearEventTimes</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a58fb421c717de3fcb51b1cf93da813ff">convertColourValue</a>(const ColourValue &amp;colour, uint32 *pDest)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a88447ffc0d999675d0b0ad0bedfae8ef">createFileStream</a>(const String &amp;filename, const String &amp;groupName=ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME, bool overwrite=false, const String &amp;locationPattern=StringUtil::BLANK)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a73bbafca83dfb0f6971162efc3710977">createRenderQueueInvocationSequence</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a537b7d1d0937f799cfe4936f6b672620">createRenderWindow</a>(const String &amp;name, unsigned int width, unsigned int height, bool fullScreen, const NameValuePairList *miscParams=0)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#aeda5e7e1148739e9fbbb2113bb47a6e8">createRenderWindows</a>(const RenderWindowDescriptionList &amp;renderWindowDescriptions, RenderWindowList &amp;createdWindows)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a39df87f396245ac5c1c293c9e49451c6">createSceneManager</a>(const String &amp;typeName, const String &amp;instanceName=StringUtil::BLANK)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#aaec9595063dba21c06b94aa541a183e8">createSceneManager</a>(SceneTypeMask typeMask, const String &amp;instanceName=StringUtil::BLANK)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#acfa8a88f7186f9a665f733e7021c8c34">destroyAllRenderQueueInvocationSequences</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a4ab34dbd132ad5cae81d7753af244f2a">destroyRenderQueueInvocationSequence</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a9c063121d67ba39f658295b3ccefb37a">destroyRenderTarget</a>(RenderTarget *target)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#acb88716975857a8e39f879bfd87180b9">destroyRenderTarget</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a7ee696cf420c9fa73429b9aed250f6b4">destroySceneManager</a>(SceneManager *sm)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#aa162fb6b49c21c8f17c7a2a05a6c537e">detachRenderTarget</a>(RenderTarget *pWin)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#afe02a03ca34a3836c36f0b6753b617f8">detachRenderTarget</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#ab1fb026ba6b14078cacd620e7f2a8c3a">EventTimesQueue</a> typedef</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a6cb1549aef6cc6c06262d087a88a5342ae392b758b6c82d9b7f43ef2c385f7564">FETT_ANY</a> enum value</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a6cb1549aef6cc6c06262d087a88a5342a608264d63d0b5b84a05883d1b9b22eb5">FETT_COUNT</a> enum value</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a6cb1549aef6cc6c06262d087a88a5342a7138134f06499aff19becd379e6f29ed">FETT_ENDED</a> enum value</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a6cb1549aef6cc6c06262d087a88a5342a634c639c6480850d63f88fee6dd78913">FETT_QUEUED</a> enum value</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a6cb1549aef6cc6c06262d087a88a5342a66ae048b1f52c537764494e797183d57">FETT_STARTED</a> enum value</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a6cb1549aef6cc6c06262d087a88a5342">FrameEventTimeType</a> enum name</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a7f5006f1ef629981b96252860beef846">getAutoCreatedWindow</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a44c5c5f2f90057d57d270c9200cd1588">getAvailableRenderers</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#ab6d87c0af70d247b8809cf61e9482840">getDefaultMinPixelSize</a>()</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#aee8523d20d3d69a6cf39ed0499663a52">getDisplayMonitorCount</a>() const </td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a6ed5ddc573f7cc53933c75c8aa1ebbc1">getErrorDescription</a>(long errorNumber)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a652690a3524c8164b850f3655d94c6dd">getFrameSmoothingPeriod</a>(void) const </td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a6fc4402d867b3d553cf302701fdff331">getInstalledPlugins</a>() const </td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a3372db66af0d91da9184af90c1a68528">getMeshManager</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#ab89302520cbbe6d78d25e325081ea906">getMovableObjectFactory</a>(const String &amp;typeName)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#af1e6afe76f1080762975203e6778c3dd">getMovableObjectFactoryIterator</a>(void) const </td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#acb112ab3ff6088c5ebd743e30b2af8bd">getNextFrameNumber</a>(void) const </td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#ad9abb5bd238fbcaa7ec0474ea1de1220">getRemoveRenderQueueStructuresOnClear</a>() const </td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#ac2ba507a55bfd6c69552e3d74e1ce7aa">getRenderQueueInvocationSequence</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#ab8ca3d5abebba7a14650db5f618286d0">getRenderSystem</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#adaeb26515fba041094510f71fb6757c9">getRenderSystemByName</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a7bc9f24bec1e8b69a80d246e68bd8bee">getRenderTarget</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a6ce7950bbf4dcd91977d9b6f2c09dc1a">getSceneManager</a>(const String &amp;instanceName) const </td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#ad961ad4d34de07ba101ea92e33007a7b">getSceneManagerIterator</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a1dc4e50e8ecac2323bdea8f6ad999307">getSceneManagerMetaData</a>(const String &amp;typeName) const </td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a4e8400b2d0c34d7c6076a4e38044a1e6">getSceneManagerMetaDataIterator</a>(void) const </td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a6c8959a647a86d6732a8a32f57b6a6ee">getSingleton</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a0813c15b258db16ef212dba53b72c3e4">getSingletonPtr</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a55641d6a52ee618286bba6e9892e8d78">getTextureManager</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a507ed05fd59e0697797b8c9c9038448f">getTimer</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#ac488cfcbb657af17483e9ce551965d37">getWorkQueue</a>() const </td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#af84bb44e9b7f13a2a50ecf17a4091cc4">hasMovableObjectFactory</a>(const String &amp;typeName) const </td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#ae4e0a5b714f99772dd203400e0ef9ad9">hasSceneManager</a>(const String &amp;instanceName) const </td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#ab940f0e3b8bff37feb0987c8b3e128b5">initialise</a>(bool autoCreateWindow, const String &amp;windowTitle=&quot;OGRE Render Window&quot;, const String &amp;customCapabilitiesConfig=StringUtil::BLANK)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a18bb6fd6e4bc7d840708711acb583192">initialisePlugins</a>()</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a5ea47cd9c094644e1abac7607e1922fd">installPlugin</a>(Plugin *plugin)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#aadeea91308b59cab2b608abb9c17bfdf">isBlendIndicesGpuRedundant</a>() const </td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#af3f07ed823a3853643ab938f641db174">isBlendWeightsGpuRedundant</a>() const </td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a792a705f087b59b4760d068aebb689cf">isInitialised</a>(void) const </td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#af0744e85bddb05885a91809bcdf8f864">loadPlugin</a>(const String &amp;pluginName)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#adaaebab61f306315895f1d513bf43378">loadPlugins</a>(const String &amp;pluginsfile=&quot;plugins.cfg&quot;)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#ac4a929b204a97d7b27490fe1850adb46">mActiveRenderer</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a39be2ce244e0157fa2be4ff71e77cc06">mArchiveManager</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a709848bdc0d717b00e17137422a2223c">mAutoWindow</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#ae9209b24ac7527d700763c09a6363c3c">mBillboardChainFactory</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#abfac646f213dd7979133d226f86412a9">mBillboardSetFactory</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#addebb508d0904d9f6237fdcbddb54215">mBorderPanelFactory</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a3d770fbd120b23453b8a718d1a5edf8b">mCompilerManager</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a7e0f9cf69e91d888be189ae48ff862bd">mCompositorManager</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#ae667f8de9a9f01e010ff39aec8a9048e">mConfigFileName</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#aca560aa062fd1e99ddbd9b3b05e928ff">mControllerManager</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a4cf302eb736882c858fea3b1ad44d5e4">mDefaultMinPixelSize</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#ae52533981f8d4db39286fdea5e8a3405">mDynLibManager</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a1cccf888960743f00f7b56c9f0cd3d4a">mEmbeddedZipArchiveFactory</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#aa106f6583741c6b9a046a17228a5a5b7">mEntityFactory</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#afdcf19edc9d8b35905b436cbb23a8d30">mEventTimes</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a52c7427e8a66c0462485c8e2f679b329">mExternalTextureSourceManager</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a443782dd5784e3465095642c61147689">mFileSystemArchiveFactory</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#ad06af760b1c4f0172240149699057a0d">mFirstTimePostWindowInit</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a15d27dc1773514f058f8db32b47c24ac">mFontManager</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a6337b89d271443a0964765f53f1becd4">mFrameListeners</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#ac8539d70ee251556a15b47ffddf4da47">mFrameSmoothingTime</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a63a833e5c6c3552ecc9feba72f80567e">mHighLevelGpuProgramManager</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#afaaa161c9e522097f1a01a90484be1a3">mIsBlendIndicesGpuRedundant</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#aabcc1509bd438c6ffcd10534d259a45a">mIsBlendWeightsGpuRedundant</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#ab140f852c36efd9148aa24a78d49f572">mIsInitialised</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a213edd5d35c2447e1151fae69914f9d6">mLightFactory</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a00766217e5b7cbce206517ddf323ae0d">mLodStrategyManager</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a8341af8ef082c826af5c783b1e546351">mLogManager</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#aadd8acdd959f49fb6a810420029eeea6">mManualObjectFactory</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#ace4669983441a497dc4b715385542715">mMaterialManager</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#ac33d490d608098e459b667b14c7c830d">mMeshManager</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#aa6113aa862fd0e7cb9bbe3e9a961971a">mMovableObjectFactoryMap</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#ab820ed46c603efb21feef351d227d857">mNextFrame</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a605b3bfce0863ec488c3bb6c317ea1d4">mNextMovableObjectTypeFlag</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a724ee7dcbdb7b8052420df2fecd07c0d">MovableObjectFactoryIterator</a> typedef</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a55670df9d65002a8712ac0be55f6b259">MovableObjectFactoryMap</a> typedef</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a52a04311ae0f5779d830c84c956576cf">mOverlayManager</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#ad3f2106ce6c45d03776ee919078d2acc">mPanelFactory</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a9c16c659560840de45862a7899f3efee">mParticleManager</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a7adceb013794ab1139e0611bb85a4f89">mPluginLibs</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#ab35dafba14a43e3fa34c586bb7742742">mPlugins</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#ae890212d6b5b58ebdd8c60b5ec2f798a">mProfiler</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#aaab43bb79759734e6bff3047e0c7f698">mQueuedEnd</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a2aacd5f1c3dcd7ca6c45b6e0d013516a">mRemovedFrameListeners</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#af41c03d6a03412ecfcdfac3461e343b3">mRemoveQueueStructuresOnClear</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a401807b14c629aa22756dfef915b44c7">mRenderers</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a7340f1cbad449a8fee38543d960e9c2e">mRenderSystemCapabilitiesManager</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a2c2cfee01223cf83b295a98ee36145f2">mResourceBackgroundQueue</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a0ac225dbbfb1d3f16483e89218887c42">mResourceGroupManager</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#ab5407b6438073851223bdae66324278e">mRibbonTrailFactory</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#ab1ce8a35c1865013315a7f8fd79e15e5">mRQSequenceMap</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a1a7f24c00c7b3df355d050a5854a1938">mSceneManagerEnum</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a87ccdca2a9e6d8fe111cd18169983986">mSceneManagerStack</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a39cea6378ad03076211928a2cf22e304">mShadowTextureManager</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a3ff49e0d841093e25be173ade78bbf7b">mSkeletonManager</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#aff0baaaed91d8505cfb72b7725ae1c37">msSingleton</a></td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; Root &gt;</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#ae063ca132e7f404a8393b66a4b115401">mTextAreaFactory</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#aeb4e1f65f6a10e279660a79124b79066">mTimer</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a4d4df87090b486e05d93df1cbc09a0d5">mVersion</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a6334087718cb89a5d77910ec5418d4f5">mWorkQueue</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a4cc4ec802be128faacb7d78ce5bfd370">mZipArchiveFactory</a></td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a47555efb676ce85beb51df0d7b0f6eae">oneTimePostWindowInit</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a0e0a84e6766fe2090937cd6bc89ace1b">openFileStream</a>(const String &amp;filename, const String &amp;groupName=ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME, const String &amp;locationPattern=StringUtil::BLANK)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a5483dc1f87b9861cae629b5aba6a6071">PluginInstanceList</a> typedef</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a4f51fe7c71b67eb166e0c34891611f65">PluginLibList</a> typedef</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#af72102f9e62bac4e907480222d524a15">populateFrameEvent</a>(FrameEventTimeType type, FrameEvent &amp;evtToUpdate)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a3c48cb0d809b950335f4e24552c0a39d">queueEndRendering</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#aba900bb388dd68af993df311076a9205">removeFrameListener</a>(FrameListener *oldListener)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a5dcfb7ee8fb1473fdc973752bc9452b4">removeMovableObjectFactory</a>(MovableObjectFactory *fact)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a3a4c957e96e6c95f7f061166e363c378">removeResourceLocation</a>(const String &amp;name, const String &amp;groupName=ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#afdf0d57e4f6e80bb519336c56ec23a88">removeSceneManagerFactory</a>(SceneManagerFactory *fact)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#aeaad25268c0ad8007ce8961a32242c77">renderOneFrame</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a7820badfeef2fb9994ea9de17facb218">renderOneFrame</a>(Real timeSinceLastFrame)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a47157fb47b40fc61942b1fc17fd7fafd">RenderQueueInvocationSequenceMap</a> typedef</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a06b786d8e0847dfe9cc15e1dea308fcd">RenderSystem</a> class</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a816c44429449ce436837f53cd4cb8e93">restoreConfig</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a293d1580c95101d72f2155e3fe2237bf">Root</a>(const String &amp;pluginFileName=&quot;plugins.cfg&quot;, const String &amp;configFileName=&quot;ogre.cfg&quot;, const String &amp;logFileName=&quot;Ogre.log&quot;)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#adc6946eb808dd76774d2c95ae1e0c6d9">saveConfig</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a71fc72b82de9741751d52b64dc3faaad">SceneManagerStack</a> typedef</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a9c610fa759978755ffd9da222fe68b3e">setBlendIndicesGpuRedundant</a>(bool redundant)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#ab7360b80fdc4eeb6bc63ff594c04bd04">setBlendWeightsGpuRedundant</a>(bool redundant)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#aa44a0398484e6efc3d13c590f02b0783">setDefaultMinPixelSize</a>(Real pixelSize)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a1f045bf046a75d65e6ddc71f4ebe0b2c">setFrameSmoothingPeriod</a>(Real period)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#acdac409627b2920ecb99f4d1cd4af191">setRemoveRenderQueueStructuresOnClear</a>(bool r)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#af768914a0dd431ee442bf83157daf570">setRenderSystem</a>(RenderSystem *system)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#afdca040bfe42cac1b33402f37023b121">setWorkQueue</a>(WorkQueue *queue)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a3fc8aeaf22da1dccc72ad9fc74b5ef14">showConfigDialog</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#adc677530cc7ef50fbd0e37d75c02e16b">shutdown</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a10298d35134c643023d96d191e67ecc4">shutdownPlugins</a>()</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#a2b0622a1223ac3a0c6b9c53e787b8d93">Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; Root &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a8eda253befda1255cbfd3b298f62449e">startRendering</a>(void)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a23417d6cbe7aeeafcc6a1a146a5e7b95">uninstallPlugin</a>(Plugin *plugin)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a9e2492db70157da036a814c84e516500">unloadPlugin</a>(const String &amp;pluginName)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#abac5dadb6113c551560136edc3567611">unloadPlugins</a>()</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#a0c36540d9764ec4e41940423dd0ae88b">useCustomRenderSystemCapabilities</a>(RenderSystemCapabilities *capabilities)</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Root.html#ae093f91224577ccb051ac3d8e84c6db8">~Root</a>()</td><td><a class="el" href="classOgre_1_1Root.html">Ogre::Root</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#a9bc0518bb06d12629e287149cdcc4b5d">~Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; Root &gt;</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:05
</p>
</body>
</html>
